Name:     mate-clear-recent
Version:  0.2.3
Release:  %mkrel 2

Summary:  Clear Recent Documents
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Graphical desktop/MATE
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: make
Requires: yad  
Requires: mate-icon-theme 
Requires: mate-desktop

Obsoletes:  %{name}
Provides:   %{name} = %{version}-%{release}

%description
Automated app to clear history list in recently viewed documents

%prep
%setup -q

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc LICENCE README.md 
%{_bindir}/clear-recent
%_datadir/applications/*.desktop
%{_datadir}/clear-recent
%{_datadir}/icons/hicolor/48x48/apps/*.png

%changelog
* Tue Feb 18 2020 tex - 0.2.3-2pclos2020
- rebuild against updates

* Tue Aug 20 2019 Ken <lxgator at gmail.com> 0.2.2-1pclos2019
- Update 0.2.3

* Sun Dec 30 2018 Ken <lxgator at gmail.com> 0.2.2-1pclos2018
- Update new version





